/*
 * ErrorReader.java
 *
 * Created on June 30, 2004, 3:30 PM
 *
 * This software is copyright (c) 2004 Board of Regents, University of Wisconsin.
 * All Rights Reserved.
 *
 * FILE:        $Source: /cvs_archive/cvs/validator/plugin/ErrorReader.java,v $
 * 
 * AUTHOR:      $Author: dmaziuk $
 * DATE:        $Date: 2004/10/05 21:20:31 $
 * 
 * UPDATE HISTORY:
 * ---------------
 * $Log: ErrorReader.java,v $
 * Revision 1.1  2004/10/05 21:20:31  dmaziuk
 * added plugin
 * */

/**
 *
 * @author  dmaziuk
 */
public class ErrorReader extends Thread {
    /** input stream reader */
    private java.io.BufferedReader fIn = null;
//******************************************************************************
    /** Creates a new instance of ErrorReader. */
    public ErrorReader() {
    } //************************************************************************
    /** Creates a new instance of ErrorReader. 
     * @param in input stream
     */
    public ErrorReader( java.io.InputStream  in ) {
        fIn = new java.io.BufferedReader( new java.io.InputStreamReader( in ) );
    } //************************************************************************
    /** Sets input stream.
     * @param in input stream
     */
     public void setInputStream( java.io.InputStream  in ) {
        fIn = new java.io.BufferedReader( new java.io.InputStreamReader( in ) );
    } //************************************************************************
    /** Main method.
     * Copies bytes from input stream to stderr.
     */
    public void run() {
        try {
//System.err.println( "Thread running" );
            String s;
            while( (s = fIn.readLine()) != null )
                System.err.print( s );
            try { fIn.close(); }
            catch( java.io.IOException e ) { /* already closed? */ }
            fIn = null;
//System.err.println( "Thread done" );
        }
        catch( java.io.IOException ex ) {
            System.err.println( ex.getMessage() );
            ex.printStackTrace();
        }
    } //************************************************************************
} //****************************************************************************
